Package org.bukkit.block.data.type

# Enum Class Jigsaw.Orientation

java.lang.Object
java.lang.Enum<Jigsaw.Orientation>
org.bukkit.block.data.type.Jigsaw.Orientation

All Implemented Interfaces:
  `Serializable`, `Comparable<Jigsaw.Orientation>`, `Constable`

Enclosing interface:
  Jigsaw

public static enum Jigsaw.Orientation extends Enum<Jigsaw.Orientation>
The directions the Jigsaw can be oriented.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOWN_EAST`
`DOWN_NORTH`
`DOWN_SOUTH`
`DOWN_WEST`
`EAST_UP`
`NORTH_UP`
`SOUTH_UP`
`UP_EAST`
`UP_NORTH`
`UP_SOUTH`
`UP_WEST`
`WEST_UP`

## Method Summary

Modifier and Type
Method
Description
`static Jigsaw.Orientation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Jigsaw.Orientation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOWN_EAST

public static final Jigsaw.Orientation DOWN_EAST

### DOWN_NORTH

public static final Jigsaw.Orientation DOWN_NORTH

### DOWN_SOUTH

public static final Jigsaw.Orientation DOWN_SOUTH

### DOWN_WEST

public static final Jigsaw.Orientation DOWN_WEST

### UP_EAST

public static final Jigsaw.Orientation UP_EAST

### UP_NORTH

public static final Jigsaw.Orientation UP_NORTH

### UP_SOUTH

public static final Jigsaw.Orientation UP_SOUTH

### UP_WEST

public static final Jigsaw.Orientation UP_WEST

### WEST_UP

public static final Jigsaw.Orientation WEST_UP

### EAST_UP

public static final Jigsaw.Orientation EAST_UP

### NORTH_UP

public static final Jigsaw.Orientation NORTH_UP

### SOUTH_UP

public static final Jigsaw.Orientation SOUTH_UP

## Method Details

### values

public static Jigsaw.Orientation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Jigsaw.Orientation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null